%define module_name	madwifi-hal
%define module_version	0.10.5.6
%define module_release	alt1.r4031

%define kversion	2.6.30
%define krelease	alt14
%define flavour		std-pae

%define norm_version	%kversion

%define module_dir /lib/modules/%kversion-%flavour-%krelease/net

Summary: Modules for Atheros-based WiFi .11a/b/g adapters
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132638.14
License: Dual: GPL or BSD
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.madwifi.org/
BuildRequires: perl sharutils
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
This software contains a Linux kernel driver for Atheros-based
Wireless LAN devices.  The driver supports both station and AP modes
of operation.  The driver is actually a port of the BSD Atheros
driver and includes a port of the 802.11 link layer code originally
found in NetBSD.

A full list of product solutions utilizing Atheros chips can be found
at http://www.atheros.com/partners/solutions.html

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC="gcc-$GCC_VERSION" \
%ifarch %ix86
     CC="gcc-$GCC_VERSION -m32" \
%endif
     TARGET=%base_arch-elf TOOLPREFIX= \
     KERNELRELEASE=%kversion-%flavour-%krelease \
     KERNELPATH=%_usrsrc/linux-%kversion-%flavour \
     MODULEPATH=%module_dir modules

%install
mkdir -p $RPM_BUILD_ROOT%module_dir/

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc-$GCC_VERSION \
        TARGET=%base_arch-elf TOOLPREFIX= \
	KERNELRELEASE=%kversion-%flavour-%krelease \
	KERNELPATH=%_usrsrc/linux-%kversion-%flavour \
	MODULEPATH=%module_dir \
	DESTDIR=$RPM_BUILD_ROOT install-modules

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Oct 06 2009 Michail Yakushin <silicium@altlinux.ru> 0.10.5.6-alt1.r4031.132638.14
- Build for kernel-image-std-pae-2.6.30-alt14.

* Thu Jun 04 2009 Sergey Shilov <hsv@altlinux.org> 0.10.5.6-alt1.r4031.132637.2
- r4031-20090529
- build for Sisyphus

* Fri May 28 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r4003.132637.2
- build for 2.6.29-std-def-alt2 kernel

* Thu May 28 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r4003.132637.1
- build for 2.6.29-std-def-alt1 kernel

* Thu May 14 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r4003.132635.17
- build for 2.6.27-std-def-alt17 kernel

* Wed Apr 22 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r4003.132635.16
- r3860-20080903
- build for 2.6.27-std-def-alt16 kernel

* Mon Mar 30 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r3942.132635.15
- build for 2.6.27-std-def-alt15 kernel

* Wed Mar 25 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r3942.132635.14
- build for 2.6.27-std-def-alt14 kernel

* Tue Mar 10 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r3942.132635.13
- build for 2.6.27-std-def-alt13 kernel

* Fri Feb 27 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt2.r3942.132635.12
- Disable null node log (dump stack)

* Wed Feb 25 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt1.r3942.132635.12
- build for 2.6.27-std-def-alt12 kernel

* Sun Feb 22 2009 Sergey Shilov <hsv@altlinux.org> 2:0.10.5.6-alt1.r3942.132635.11
- Initial release

